org.apache.flume.tools

## Class VersionInfo

- java.lang.Object
- - org.apache.flume.tools.VersionInfo

-     public class VersionInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getBranch()` Get the branch on which this originated.
    `static String` | `getBuildVersion()` Returns the build version info which includes version, revision, user, date and source checksum
    `static String` | `getDate()` The date that Flume was compiled.
    `static String` | `getRevision()` Get the subversion revision number for the root directory
    `static String` | `getSrcChecksum()` Get the checksum of the source files from which Flume was built.
    `static String` | `getUrl()` Get the subversion URL for the root Flume directory.
    `static String` | `getUser()` The user that compiled Flume.
    `static String` | `getVersion()` Get the Flume version.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionInfo

          public VersionInfo()

  - ### Method Detail

    - #### getVersion

          public static String getVersion()

      Get the Flume version.
      Returns:
        the Flume version string, eg. "1.1"

    - #### getRevision

          public static String getRevision()

      Get the subversion revision number for the root directory
      Returns:
        the revision number, eg. "100755"

    - #### getBranch

          public static String getBranch()

      Get the branch on which this originated.
      Returns:
        The branch name, e.g. "trunk" or "branches/branch-1.1"

    - #### getDate

          public static String getDate()

      The date that Flume was compiled.
      Returns:
        the compilation date in unix date format

    - #### getUser

          public static String getUser()

      The user that compiled Flume.
      Returns:
        the username of the user

    - #### getUrl

          public static String getUrl()

      Get the subversion URL for the root Flume directory.

    - #### getSrcChecksum

          public static String getSrcChecksum()

      Get the checksum of the source files from which Flume was built.

    - #### getBuildVersion

          public static String getBuildVersion()

      Returns the build version info which includes version, revision, user, date and source checksum

    - #### main

          public static void main(String[] args)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.